Bug 436384 - kate paste behaviour changed
kate paste behaviour changed
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-06 16:41 EST by Philip Ashmore
Modified: 2008-03-13 03:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: 3.5.9-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 03:38:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-03-06 16:41:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20080208 Fedora/ Firefox/

Description of problem:
I recently updated to kdebase-3.5.9-3.fc8.

I'm a regular kate user so I noticed the change straight away -
The cursor stays at the _end of the first line_ when you insert multiple lines.

This breaks the intuitive behavior when you want to duplicate several lines of text.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Cut a block of text containing multiple lines, for example
2.Paste it twice

Actual Results:
    abc    abc


Expected Results:

Additional info:
Because you're pasting the same block of text multiple times it doesn't matter if the cursor ends up at the start of the first line or at the start of the line following the insert, although for consistency with other apps it should be the latter.
Comment 1 Ngo Than 2008-03-10 05:56:14 EDT
it's fixed in kdelibs-3_5_9-5_fc8. it will be avaible for F8-update soon
Comment 2 Fedora Update System 2008-03-12 07:10:52 EDT
kdelibs-3.5.9-5.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-03-12 07:13:07 EDT
kdelibs-3.5.9-5.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-13 03:38:01 EDT
kdelibs-3.5.9-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-13 03:47:01 EDT
kdelibs-3.5.9-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.